
Summary: 	A linux device driver for Atheros chipsets (ar5210, ar5211, ar5212).
Name: 		madwifi
Version: 	0.9.4
Epoch:	        1
Release: 	16%{?dist}
Packager:	Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor:         CERN, http://cern.ch/linux
License: 	GPL,proprietary
Group: 		System Environment/Kernel
URL: 		http://madwifi.org/
Source0: 	%{name}-%{version}.tar.gz
Patch0:		madwifi-compat.h-kernel-2.6.18-92.el5.patch
Source100:      %{name}-depmod.conf
Source1111:     slc-kmodtool
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	sharutils
Requires: %{name}-kmod
Provides: %{name}-kmod-common = %{?epoch:%{epoch}:}%{version}
ExclusiveArch: i686 x86_64

BuildRequires: %kernel_module_package_buildreqs

%define upvar default
%ifarch i686
%define paevar PAE
%endif
%ifarch i686 ia64 x86_64
%define xenvar xen
%endif

%kernel_module_package -s %{SOURCE1111} %{?upvar} %{?xenvar} %{?paevar}

%description
This package contains the Multiband Atheros Driver for WiFi, A linux
device driver for 802.11a/b/g universal NIC cards - either Cardbus,
PCI or MiniPCI - that use Atheros chipsets (ar5210, ar5211, ar5212).


%prep
%setup -n %{name}-%{version}
%patch0 -p0 -b .compat

find . -name Makefile\* | xargs perl -pi -e's,/sbin/depmod,: /sbin/depmod,'

%build
echo -e "\nDriver version: %{version}\nKernel version: %{kernel}\n"

export TOOLPREFIX=`which gcc|sed -e's,gcc$,,'`
%ifarch %x86
export TARGET=i386-elf
%endif
%ifarch x86_64
export TARGET=x86_64-elf
%endif

# export COPTS="$COPTS -DNO_WME"

mkdir -p %{buildroot}%{_bindir}

### build tools
%{__make} clean
%{__make} -C tools

mv hal/COPYRIGHT hal/COPYRIGHT.hal
mv hal/README hal/README.hal


### build modules
set -- *
mkdir source
cp -rp "$@" source/
mkdir obj

for flavor in %{flavors_to_build} ; do
   echo "building $flavor"
   rm -rf obj/$flavor
   cp -r source obj/$flavor
   cd obj/$flavor
   [ $flavor == default ] && what="" || what=$flavor
   make clean
   make modules KERNELPATH=%{kernel_source $flavor}/ \
   		KERNELRELEASE=%{kverrel}$what
   cd -
done
   

%install
%{__make} -C tools install DESTDIR=$RPM_BUILD_ROOT/ \
     BINDIR=%{_bindir} MANDIR=%{_mandir}
install -D -p -m 644 %{SOURCE100} $RPM_BUILD_ROOT/%{_sysconfdir}/depmod.d/%{name}.conf

for flavor in %{flavors_to_build} ; do
     [ $flavor == default ] && what="" || what=$flavor
     cd  obj/$flavor
     make  DESTDIR=$RPM_BUILD_ROOT/ \
	KMODPATH=/lib/modules/%{kverrel}$what/extra/%{name}/ \
	MODULEPATH=/lib/modules/%{kverrel}$what/extra/%{name}/ \
	install-modules
     cd -	
done   


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}



%files 
%defattr(-,root,root,-)
%doc COPYRIGHT README hal/COPYRIGHT.hal hal/README.hal
%doc docs/users-guide.pdf docs/WEP-HOWTO.txt
%{_bindir}/athstats
%{_bindir}/80211stats
%{_bindir}/athdebug
%{_bindir}/80211debug
%{_bindir}/athchans
%{_bindir}/athctrl
%{_bindir}/athkey
%{_bindir}/wlanconfig
%{_sysconfdir}/depmod.d/%{name}.conf
%{_bindir}/ath_info
%{_mandir}/man8/80211debug.8*
%{_mandir}/man8/80211stats.8*
%{_mandir}/man8/athchans.8*
%{_mandir}/man8/athctrl.8*
%{_mandir}/man8/athdebug.8*
%{_mandir}/man8/athkey.8*
%{_mandir}/man8/athstats.8*
%{_mandir}/man8/wlanconfig.8*
%{_mandir}/man8/ath_info.8*


%changelog
* Wed Mar 04 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- repackaged according to Driver Update Program guidelines.

* Fri Jun 06 2008 Urs Beyerle <urs.beyerle@psi.ch> - 0.9.4-15
- make madwifi-compat.h-kernel-2.6.18-92.el5.patch 
  kernel release number dependend

* Thu Jun 05 2008 Urs Beyerle <urs.beyerle@psi.ch> - 0.9.4-14
- add madwifi-compat.h-kernel-2.6.18-92.el5.patch 
  for SL 5.2 kernel >= 2.6.18-92.el5

* Wed Jun 04 2008 Urs Beyerle <urs.beyerle@psi.ch> - 0.9.4-13
- update to 0.9.4
- add ath_info

* Fri Nov 16 2007 Urs Beyerle <urs.beyerle@psi.ch> - 0.9.3.3-12
- add dist tag
- update to 0.9.3.3
- fix kernel_moduledir path

* Mon May 29 2007 Urs Beyerle <urs.beyerle@psi.ch> - 0.9.3.1-11.sl5
- do not build PAE kernel modules on x86_64
- update to 0.9.3.1

* Mon Apr 16 2007 Urs Beyerle <urs.beyerle@psi.ch> - 0.9.3-10.sl5
- madwifi-2.6.18-autoconf.patch no longer needed
- add modules matching ath_rate_*.*o
- update to 0.9.3

* Wed Mar 14 2007 Urs Beyerle <urs.beyerle@psi.ch> - 0.9.2.1-9.sl5.psi
- add xen PAE kernel packages
- add madwifi-2.6.18-autoconf.patch
- remove madwifi-0.9.2-rhel4.patch
- build for SL5

* Fri Dec 15 2006 Urs Beyerle <urs.beyerle@psi.ch> - 0.9.2.1-8.sl4.psi
- add madwifi-0.9.2-rhel4.patch from ATrpms
- Introduce epoch since SL4 has 0.9.6 already. :/ 
- update to 0.9.2.1
- many changes in the spec file

* Thu Mar 02 2006 Urs Beyerle <urs.beyerle@psi.ch>
- build UP and SMP kernel modules

* Tue Feb 28 2006 Urs Beyerle <urs.beyerle@psi.ch>
- rebuild without ATrpms specific settings for SL4.

* Tue Feb 21 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Split off non-GPL modules into their own subpackage
  to make GPL compliance unambiguous.

* Sat Feb 18 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to today's svn.

* Sun Oct  2 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to today's cvs (0.9.6.0).

* Thu Apr 14 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to today's cvs.

* Sat Jan 22 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to today's cvs.

* Tue Jan  4 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to cvs (0.9.4.12).

* Wed Dec 22 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to cvs.

* Tue Nov  2 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to cvs (0.9.4.11).

* Wed Aug 18 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to cvs (0.9.3.1).

* Mon Jul 26 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to WPA cvs (0.9.2.2-WPA).

* Sun May 30 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to cvs (0.8.5.5).

* Wed Mar 24 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.8.5.4.

* Tue Feb  3 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
